Bug 1471161 - SELinux is preventing iptables from 'read' accesses on the file /run/docker/netns/30548a76d09c.
SELinux is preventing iptables from 'read' accesses on the file /run/docker/n...
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:36094b5b52c9de8ad0dd1bb393e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 10:39 EDT by Petr
Modified: 2017-09-22 10:37 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr 2017-07-14 10:39:31 EDT
Description of problem:
SELinux is preventing iptables from 'read' accesses on the file /run/docker/netns/30548a76d09c.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that iptables should be allowed read access on the 30548a76d09c file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'iptables' --raw | audit2allow -M my-iptables
# semodule -X 300 -i my-iptables.pp

Additional Information:
Source Context                system_u:system_r:iptables_t:s0
Target Context                system_u:system_r:docker_t:s0
Target Objects                /run/docker/netns/30548a76d09c [ file ]
Source                        iptables
Source Path                   iptables
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-259.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.11.9-300.fc26.x86_64 #1 SMP Wed
                              Jul 5 16:21:56 UTC 2017 x86_64 x86_64
Alert Count                   300
First Seen                    2017-07-13 10:36:33 EDT
Last Seen                     2017-07-13 10:40:31 EDT
Local ID                      7dec675b-056d-4b71-9fbc-ea624d1074c4

Raw Audit Messages
type=AVC msg=audit(1499956831.799:766): avc:  denied  { read } for  pid=4522 comm="iptables" path="/run/docker/netns/30548a76d09c" dev="nsfs" ino=4026533410 scontext=system_u:system_r:iptables_t:s0 tcontext=system_u:system_r:docker_t:s0 tclass=file permissive=0


Hash: iptables,iptables_t,docker_t,file,read

Version-Release number of selected component:
selinux-policy-3.13.1-259.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.9-300.fc26.x86_64
type:           libreport
Comment 1 Joshua Rich 2017-07-26 00:18:21 EDT
Description of problem:
Using a docker-compose file with a bridged network.  Should this be allowed by default?


Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.11-300.fc26.x86_64
type:           libreport
Comment 2 Joshua Rich 2017-08-16 02:15:36 EDT
Description of problem:
Started up a docker environment using a bridge network and got this.  


Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.5-300.fc26.x86_64
type:           libreport
Comment 3 Petr 2017-09-22 10:37:49 EDT
Description of problem:
When starting Docker containers.


Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.13-300.fc26.x86_64
type:           libreport

Note You need to log in before you can comment on or make changes to this bug.